SmartMemory
POST
/memory/reasoning/traces/store

Store a reasoning trace as a memory item.

Creates a 'reasoning' type memory with CAUSES relations to any artifacts.

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to store a reasoning trace.

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/reasoning/traces/store" \  -H "Content-Type: application/json" \  -d '{    "trace": {      "trace_id": "string",      "steps": [        {          "type": "string",          "content": "string"        }      ]    }  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}